#
# spec file for package bison
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bison
Version:        3.0.4
Release:        0
Summary:        The GNU Parser Generator
License:        GPL-3.0+
Group:          Development/Languages/C and C++
Url:            http://www.gnu.org/software/bison/bison.html
Source0:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Source1:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
Source3:        baselibs.conf
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  xz
Requires:       m4
Requires(post):  %{install_info_prereq}
Requires(preun): %{install_info_prereq}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bison is a parser generator similar to yacc(1).

%lang_package

%prep
%setup -q

%build
%configure --disable-silent-rules \
           --disable-rpath \
           --docdir=%{_docdir}/%{name} \
           gl_cv_func_printf_directive_n=yes \
           gl_cv_func_printf_infinite_long_double=yes
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang %{name} --all-name

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%dir %{_datadir}/aclocal
%{_bindir}/bison
%{_bindir}/yacc
%{_libdir}/liby.a
%{_datadir}/bison
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/bison-i18n.m4
%{_infodir}/bison.info*.gz
%{_mandir}/man1/bison.1.gz
%{_mandir}/man1/yacc.1.gz

%files lang -f %{name}.lang
%defattr(-,root,root)

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
